@import "vars";

.container {
  width: 1140px;
  margin: 0 auto;
  @media (max-width: 1150px) {
    width: 100%;
  }
}

* {
  margin: 0;
  padding: 0;
}

summary {
  display: block;
}

summary::-webkit-details-marker {
  display: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
}

body {
  font-family: 'Lato', sans-serif;
}

.header {
  height: 75px;
  background: $darkColorSite;
  display: flex;

  &__container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.header__link:hover path {
  transition: all .3s;
  fill: $colorSite;
}

.header__left {
  display: flex;
  align-items: center;
  gap: 40px;
  &-link {
    margin-top: 8px;
  }
}

.header__right {
  @extend .header__left;
  gap: 32px;
}

.menu {
  position: absolute;
  top: 75px;
  right: 0;
  z-index: 10;
  background: #FFFFFF;
  box-shadow: 6px 4px 35px 0 #00000036;
  padding: 32px;
  width: 232px;
  box-sizing: border-box;
  transition: right .5s;

  &__ul {
    list-style-type: none;
  }

  &__heading {
    font-size: 14px;
    font-weight: 700;
    line-height: 17px;
    color: #000000;
    margin-bottom: 4px;
  }

  &__link-heading {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    color: $colorSite;
  }

  &__li {
    margin-top: 20px;

  }

  &__content-links {
    display: flex;
    flex-direction: column;
    margin-left: 22px;
    gap: 11px;
    margin-top: 12px;
  }

  &__link {
    font-size: 14px;
    font-weight: 400;
    line-height: 17px;
    color: $mediumColorText;
    transition: color .3s;

    &:hover {
      color: $colorSite;
    }
  }
  &__close {
    position: absolute;
    top: 16px;
    right: 16px;
  }

  &__box {
    display: none;
  }
}

#switcher {
  position: absolute;
  visibility: hidden;
  left: -9999999px;
}

#switcher:checked ~ .menu {
  right: -232px;
}

.box {
  position: relative;
  overflow: hidden;
}

.top {
  background: #F1E4E6;
  display: flex;
  justify-content: space-between;

  &__container {
    display: flex;
  }
}

.top__left {
  display: flex;
}

.top__right {
  padding-left: 30px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  width: 50%;
}

.top__heading {
  font-weight: 900;
  font-size: 48px;
  line-height: 58px;
  color: $darkColorSite;
}

.top__heading-mini {
  font-weight: 700;
  font-size: 32px;
  line-height: 38px;
  color: $darkColorSite;
  white-space: nowrap;
}

.top__heading-mini-span {
  color: $colorSite;
}

.top__content {
  border-left: 12px solid $colorSite;
  padding-left: 16px;
  height: 93px;
  display: flex;
  flex-direction: column;

}

.sale {
  padding-top: 64px;

  &__img {
    width: ($widthSite - 2 * $gapGrid) / 3;

    &_big {
      width: $widthSite;
    }
  }
}

.sale__item {
  position: relative;
  transition: transform .3s;

  &:hover {
    transform: scale(1.05);
  }

}

.sale__item_big {
  margin-bottom: 64px;
}

.sale__text {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.sale__content {
  display: flex;
  gap: $gapGrid;
  margin-bottom: 30px;
}

.sale__p {
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  text-align: center;
  color: $lightColorText;
}

.sale__heading {
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;
  text-align: center;
  color: $colorSite;
}

.featured {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.featured__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: $gapGrid;
}

.featured__heading {
  font-size: 30px;
  line-height: 36px;
  color: $darkColorSite;
  text-align: center;
  padding-bottom: 6px;
}

.featured__p {
  font-size: 14px;
  line-height: 17px;
  color: #9F9F9F;
  margin-bottom: 48px;
}

.featured__list-item {
  display: flex;
  flex-direction: column;
  width: ($widthSite - 2 * $gapGrid) / 3;
  position: relative;
}

.product__photo {
  width: 100%;
  transition: all .3s;
}

.featured__list-item:hover .product__photo {
  filter: brightness(60%);
}

.featured__list-item:hover {
  .product__add {
    transition: all .3s;
    display: flex;
  }
}

.featured__list-item_text {
  padding: 25px;
  background-color: #F8F8F8;
}

.featured__list-item_heading {
  font-size: 13px;
  line-height: 16px;
  color: $darkColorText;
  padding-bottom: 12px;

}

.featured__list-item_p {
  font-weight: 300;
  font-size: 14px;
  line-height: 17px;
  color: #5D5D5D;
  padding-bottom: 18px;
}

.price {
  font-size: 16px;
  line-height: 19px;
  color: $colorSite;
}

.product__add {
  font-size: 14px;
  line-height: 17px;
  color: $lightColorText;
  border: 1px solid $lightColorText;
  padding: 12px 12px 8px 12px;
  display: none;
  text-align: center;
  justify-content: center;
  position: absolute;
  top: 188px;
  left: 110px;
  gap: 11px;

  &:hover {
    color: $darkColorSite;
    background-color: $lightColorText;

    path {
      fill: $darkColorSite;
    }
  }
}

.featured__button-box {
  display: flex;
  justify-content: center;
}

.featured__button {
  font-size: 16px;
  line-height: 19px;
  color: #F26376;
  padding: 14px 38px;
  border: 1px solid $hoverColorSite;
  margin-top: 64px;
  margin-bottom: 110px;
  transition: all .3s;
}

.featured__button:hover {
  background-color: $hoverColorSite;
  color: $lightColorText;
}

.footer__catalog {
  flex-wrap: nowrap;
  background: $darkColorText;

  &-wrap {
    display: flex;
    justify-content: space-between;
  }

  &-heading {
    font-size: 20px;
    line-height: 24px;
    color: $lightColorText;
  }
}

.footer__catalog-text {
  font-weight: 300;
  font-size: 14px;
  line-height: 17px;
  text-align: center;
  color: $lightColorText;
  width: 70%;
}

.footer__catalog-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: $gapGrid;
  padding-top: 104px;
  padding-bottom: 104px;
}

.footer__top {
  height: 448px;
  display: flex;
}

.footer__top-background {
  height: 100%;
  background-image: url("/assets/img/footer-img.jpg");
  background-size: cover;
  background-position: center bottom;
  background-repeat: no-repeat;
}

.footer__top-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer__item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;

}

.footer__quote {
  padding-top: 20px;
  width: 50%;
  font-size: 20px;
  line-height: 24px;
  color: $darkColorText;
}

.quote-italic {
  font-style: italic;
}

.subscribe-heading {
  font-weight: 700;
  font-size: 24px;
  line-height: 40px;
  color: $darkColorText;
}

.subscribe-text {
  font-weight: 400;
  font-size: 18px;
  line-height: 30px;
  color: $darkColorText;
  padding-bottom: 32px;
}

.inl-block {
  display: inline-block;
}

.input-form {
  background-color: #E1E1E1;
  font-size: 14px;
  line-height: 17px;
  color: $darkColorText;
  padding: 15px 80px 15px 30px;
  border-radius: 22px 0 0 22px;
  border-right: none;
}

.subscribe-button {
  background-color: $colorSite;
  font-size: 14px;
  line-height: 17px;
  color: $lightColorText;
  border-radius: 0 22px 22px 0;
  padding: 15px 30px 15px 30px;
  border-left: none;
  transition: background-color .3s;
}

.subscribe-button:hover {
  background-color: $hoverColorSite;
}

.footer__bottom {
  background: $darkColorText;
  height: 80px;
  display: flex;

  &_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

.copyright {
  font-size: 16px;
  line-height: 19px;
  padding-left: 32px;
  color: #FBFBFB;
}

.icon-box {
  padding-right: 32px;
}

.icon-item:hover path {
  fill: $hoverColorSite;
}

.icon-item:hover g path {
  fill: $lightColorText;
}

@import "catalog";

@import "product";

@import "cart";

@import "registration";

@import "m_tablet_1023";

@import "m_mobile_767";


